Bug 62446 - (Konqueror) Japanese direct input forms do not submit
Summary: (Konqueror) Japanese direct input forms do not submit
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kdebase (Show other bugs)
(Show other bugs)
Version: skipjack-beta1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Leon Ho
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 61901
TreeView+ depends on / blocked
 
Reported: 2002-04-01 03:19 UTC by Warren Togami
Modified: 2007-04-18 16:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-06 01:34:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Warren Togami 2002-04-01 03:19:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
After using "kinput2 -canna &" to input Japanese characters into a form (like
Google search) then clicking submit, the result behaves as if the form submitted
was empty.

However, if you mix English characters with the Japanese characters the form
does submit successfully.

Pasting Japanese characters into the HTML form does also submit successfully.

Version-Release number of selected component (if applicable):
Skipjack beta1 with up2date (3-27-2002)

How reproducible:
Always

Steps to Reproduce:
1. Run the Canna service.
2. Run "kinput2 -canna &"
3. Run "LANG=ja_JP.eucJP LC_ALL=ja_JP.eucJP XMODIFIERS="@im=kinput2" konqueror
http://www.google.co.jp"
4. Input Japanese after you hit SHIFT-SPACE, keeping in mind that this is
effected by Bug 62445.
5. Submit form.

Actual Results:  When submitting a form filled with Japanese characters by
kinput2, submit does not submit those characters.

Expected Results:  Submit should submit those characters.

Comment 1 Warren Togami 2002-04-06 01:34:37 UTC
It appears to be fixed in Skipjack beta 2.  Will do further testing before 
closing.

Comment 2 Warren Togami 2002-04-11 05:57:06 UTC
I guess it works.  Closing.

Comment 3 Warren Togami 2002-07-15 11:44:43 UTC
This problem has returned in Bug 68086.


Note You need to log in before you can comment on or make changes to this bug.